import {
	NextApiRequest as DefaultNextApiRequest,
} from 'next';

export type NextApiRequest = Pick<DefaultNextApiRequest, 'query' | 'body'>;

export interface NextApiResponse {
	body?: unknown;
}

export const ENCTYPE_APPLICATION_JSON = 'application/json' as const;

export const ENCTYPE_APPLICATION_OCTET_STREAM = 'application/octet-stream' as const;

export const ENCTYPE_MULTIPART_FORM_DATA = 'multipart/form-data' as const;

export const ENCTYPE_X_WWW_FORM_URLENCODED = 'application/x-www-form-urlencoded' as const;
